CREATE TABLE mot_qm_quota_plans_b (
    QUOTA_PLAN_ID                 NUMBER(18, 0) ,
    COPY_PREDICTION_FLAG          VARCHAR2(4)   ,
    COPY_QUOTA_PLAN_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CALENDAR_ID                   NUMBER(18, 0)     NOT NULL,
    PERIOD_YEAR                   NUMBER(18, 0)     NOT NULL,
    PLAN_START_DATE               TIMESTAMP(6)      NOT NULL,
    PLAN_END_DATE                 TIMESTAMP(6)  ,
    STATUS_CODE                   VARCHAR2(120) ,
    ACTIVATION_DATE               TIMESTAMP(6)  ,
    DEFAULT_PREDICTION_FLAG       VARCHAR2(4)   ,
    TRACK_QUOTA_PLAN_FLAG         VARCHAR2(4)   ,
    PAD_THRESHOLD_PERCENT         NUMBER        ,
    SEASONALITY_FACTOR_DEFN_ID    NUMBER(18, 0) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    LAST_SYNC_TIME                TIMESTAMP(6)  ,
    SYNC_STATUS                   VARCHAR2(120) ,
    QUOTA_PLAN_ID                 NUMBER(18, 0) ,
    COPY_PREDICTION_FLAG          VARCHAR2(4)   ,
    COPY_QUOTA_PLAN_ID            NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CALENDAR_ID                   NUMBER(18, 0)     NOT NULL,
    PERIOD_YEAR                   NUMBER(18, 0)     NOT NULL,
    PLAN_START_DATE               TIMESTAMP(6)      NOT NULL,
    PLAN_END_DATE                 TIMESTAMP(6)  ,
    STATUS_CODE                   VARCHAR2(120) ,
    ACTIVATION_DATE               TIMESTAMP(6)  ,
    DEFAULT_PREDICTION_FLAG       VARCHAR2(4)   ,
    TRACK_QUOTA_PLAN_FLAG         VARCHAR2(4)   ,
    PAD_THRESHOLD_PERCENT         NUMBER        ,
    SEASONALITY_FACTOR_DEFN_ID    NUMBER(18, 0) ,
    REQUEST_ID                    NUMBER(18, 0) ,
    JOB_DEFINITION_NAME           VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE        VARCHAR2(3600),
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    LAST_SYNC_TIME                TIMESTAMP(6)  ,
    SYNC_STATUS                   VARCHAR2(120) ,
    CONSTRAINT pk_mot_qm_quota_plans_b PRIMARY KEY (QUOTA_PLAN_ID, QUOTA_PLAN_ID)
);
